package com.taover.ai.scaffold;

import com.taover.codegenerate.bazhuayun.GenerateCode;


public class CodeGeneraterWB {
	public static void main(String args[]){
		generateWb();
	}
	
	public static void generateWb(){
		baseGenerate("ALL");
	}
	
	public static void baseGenerate(String tableName){
		try {
			GenerateCode.generateEntity("com.taover.ai", 
					tableName, 
					"D:\\", 
					"127.0.0.1", "3306", "tylife", "lexi365", "8zyun_ai", true);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	/**
	 * API 调用示例
	 */
	public static void generateCodeExample(){
		try {
			//基础包名："com.taover.bazhuayun.wxorder"
			//表名："wxorder_agent_ssy_contact"，多个表名用逗号分隔，全部表"ALL"
			//数据库连接信息："127.0.0.1", "3306", "tylife", "lexi365"
			//数据库名称："8zyun_wxorder"
			/*GenerateCode.generate("com.taover.bazhuayun.wxorder", 
					"wxorder_goods_base_sku", 
					"D:\\workproject\\8zyun-wxorder-api\\src\\main\\java", 
					"127.0.0.1", "3306", "tylife", "lexi365", "8zyun_wxorder");*/
			
			//gaoming
			GenerateCode.generate("com.taover.bazhuayun.wxorder", 
					"wxorder_goods_map", 
					"C:\\springboot\\8zyun-wxorder-api\\src\\main\\java", 
					"192.168.3.2", "3306", "tylife", "lexi365", "8zyun_wxorder");
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	public static void generateCodeLYP(){
		try {
			//基础包名："com.taover.bazhuayun.wxorder"
			//表名："wxorder_agent_ssy_contact"，多个表名用逗号分隔，全部表"ALL"
			//数据库连接信息："127.0.0.1", "3306", "tylife", "lexi365"
			//数据库名称："8zyun_wxorder"
			/*GenerateCode.generate("com.taover.bazhuayun.wxorder", 
					"wxorder_goods_base_sku", 
					"D:\\workproject\\8zyun-wxorder-api\\src\\main\\java", 
					"127.0.0.1", "3306", "tylife", "lexi365", "8zyun_wxorder");*/
			
			//gaoming
			GenerateCode.generate("com.taover.bazhuayun.wxorder", 
					"wxorder_channel", 
					"D:\\Taover\\Workspace\\8zyun-wxorder-api\\src\\main\\java", 
					"192.168.3.2", "3306", "tylife", "lexi365", "8zyun_wxorder");
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void generateCodeLYP2(){
		try {
			//基础包名："com.taover.bazhuayun.wxorder"
			//表名："wxorder_agent_ssy_contact"，多个表名用逗号分隔，全部表"ALL"
			//数据库连接信息："127.0.0.1", "3306", "tylife", "lexi365"
			//数据库名称："8zyun_wxorder"
			/*GenerateCode.generate("com.taover.bazhuayun.wxorder", 
					"wxorder_goods_base_sku", 
					"D:\\workproject\\8zyun-wxorder-api\\src\\main\\java", 
					"127.0.0.1", "3306", "tylife", "lexi365", "8zyun_wxorder");*/
			
			//gaoming
			GenerateCode.generate("com", 
					"chl_excel_config", 
					"E:\\java2", 
					"192.168.3.2", "3306", "tylife", "lexi365", "channel");
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
}
