package com.taover.ai.bean.normal;

import java.util.List;

import net.sf.json.JSONObject;

public class ResponseAddress {
	private JSONObject result;
	private String message;
	boolean status;
	private String statusCode;
	
	private ResponseAddress(JSONObject result, String message, boolean status, String statusCode){
		this.result = result;
		this.message = message;
		this.status = status;
		this.statusCode = statusCode;
	}
	
	public static ResponseAddress createFail(String error){
		return new ResponseAddress(null, error, false, "");
	}
	
	public static ResponseAddress createSuccess(List<BeanAddress> beanList){
		JSONObject items = new JSONObject();
		items.put("items", beanList);		
		return new ResponseAddress(items, "", true, "");
	}

	public JSONObject getResult() {
		return result;
	}

	public void setResult(JSONObject result) {
		this.result = result;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public boolean isStatus() {
		return status;
	}

	public void setStatus(boolean status) {
		this.status = status;
	}

	public String getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(String statusCode) {
		this.statusCode = statusCode;
	}
	
	
}
