package com.taover.ai.test;

import java.util.List;

import com.hankcs.hanlp.HanLP;
import com.hankcs.hanlp.seg.Segment;
import com.hankcs.hanlp.seg.common.Term;

public class HanLPTest {
	
	public static void main(String[] args){
		 addressDemo();
	}
	
	public static void addressDemo(){
		String[] data = new String[]{
				"河北 隆化 步古沟镇 东阿超村",
				"四川省 成都市 双流区 华阳镇街道 天府大道南延线利通城南晶座4栋1单元",
				"任静：江苏省徐州市铜山区利国镇马山村7队",
				"北京朝阳区高碑店",
				"天津市河北区仁恒河滨花园1期1-2003",
				"浙江省慈溪市绿城玫瑰园金一西路125号",
				"宁夏回族自治区",
				"高碑店地区（高碑店乡）",
				"蓟县"
		};
		Segment segment = HanLP.newSegment().enablePlaceRecognize(true);
		for(int i=0; i<data.length; ++i){
			List<Term> termList = segment.seg(data[i]);
			System.out.println(termList);
		}
	}
}
